package com.zanxiang.game.gs.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.time.LocalDate;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class BigRDTO extends BaseListDTO {
    @NotBlank
    @ApiModelProperty(notes = "SDK来源")
    private String sourceSystem;
    @ApiModelProperty("排序字段")
    private String sortFiled;
    @ApiModelProperty("排序类型：升序 true;降序 false")
    private Boolean sortAsc = true;

    @ApiModelProperty("统计日期开始")
    private LocalDate dtBegin;
    @ApiModelProperty("统计日期结束")
    private LocalDate dtEnd;
    @ApiModelProperty("gs id列表")
    private List<Long> gsIdList;
}
